PX_NEW2(3)

NAME
PX_new2 — create new instance of Paradox file

SYNOPSIS

#include <paradox.h>

pxdoc_t* PX_new2(void (*errorhandler)(pxdoc_t *p, int type, const char *msg, void *data), void* (*allocproc)(pxdoc_t *p, size_t size, const char *caller), void* (*reallocproc)(pxdoc_t *p, void *mem, size_t size, const char *caller), void (*freeproc)(pxdoc_t *p, void *mem))

DESCRIPTION

Creates a new instance of a Paradox file. This function, PX_new(3) or PX_new3(3) must be called before any other functions. If the caller has its own error and memory management functions they can be passed.

Calling PX_new2(3) is identical to calling PX_new3(3) with the last parameter set to NULL.

RETURN VALUE

Returns a pointer to an internal representation of a Paradox file or NULL on failure.

SEE ALSO

PX_new(3), PX_new3(3), PX_open_file(3), PX_open_fp(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.